using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Data.OleDb;
using System.Data;
using System.Windows.Forms;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Controls;
using GrapeCity.ActiveReports.SectionReportModel;
using GrapeCity.ActiveReports.Document.Section;
using GrapeCity.ActiveReports.Document;

namespace Stacked_Bar
{
    /// <summary>
    /// Summary description for NewActiveReport1.
    /// </summary>
    public partial class NewActiveReport1 : GrapeCity.ActiveReports.SectionReport
    {

        //declaring the dataadapter and dataset globally
        OleDbDataAdapter da;
        DataSet ds;

        public NewActiveReport1()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
        }

        private void detail_Format(object sender, EventArgs e)
        {
            //Declaring two new series as it is a stacked bar chart
            GrapeCity.ActiveReports.Chart.Series s = new GrapeCity.ActiveReports.Chart.Series();
            s.Name = "Unit Price";
            GrapeCity.ActiveReports.Chart.Series s1 = new GrapeCity.ActiveReports.Chart.Series();
            s1.Name = "Units In Stock";

            //Setting the chart title and its font
            this.chartControl1.Titles[0].Text = "Stacked Bar Chart";
            System.Drawing.Font f = new System.Drawing.Font("Arial", 15);
            this.chartControl1.Titles[0].Font.Font = f;

            //Defining the series type. It is stacked bar in this case
            s1.Type = GrapeCity.ActiveReports.Chart.ChartType.StackedBar3D;
            s.Type = GrapeCity.ActiveReports.Chart.ChartType.StackedBar3D;

            //Setting the X-axis labels and the look of the chart
            this.chartControl1.ChartAreas[0].Axes[0].LabelsVisible = true;
            this.chartControl1.ChartAreas[0].Axes[0].MajorTick.Visible = true;
            this.chartControl1.ChartAreas[0].Axes[0].LabelFont.Angle = 90;
            this.chartControl1.ChartAreas[0].ZDepthRatio = 0;

            //Adding the series
            this.chartControl1.Series.Add(s);
            this.chartControl1.Series.Add(s1);

            //Assigning the X and Y values for both the series
            this.chartControl1.Series[0].ValueMembersY = ds.Tables[0].Columns["UnitPrice"].ColumnName;
            this.chartControl1.Series[0].ValueMemberX = ds.Tables[0].Columns["ProductName"].ColumnName;
            this.chartControl1.Series[1].ValueMemberX = ds.Tables[0].Columns["ProductName"].ColumnName;
            this.chartControl1.Series[1].ValueMembersY = ds.Tables[0].Columns["UnitsInStock"].ColumnName;

            //Use this code to display the Y-Axis values and the gridlines
            this.chartControl1.ChartAreas[0].Axes[2].MajorTick.Visible = true;
            this.chartControl1.ChartAreas[0].Axes[2].MinorTick.Visible = true;
            this.chartControl1.ChartAreas[0].Axes[2].MajorTick.GridLine.Weight = 1;
            this.chartControl1.ChartAreas[0].Axes[2].MajorTick.GridLine.Style = GrapeCity.ActiveReports.Chart.Graphics.LineStyle.Solid;
            this.chartControl1.ChartAreas[0].Axes[2].MajorTick.GridLine.Color = Color.Black;
   
            //Adding Markers to both the series
            GrapeCity.ActiveReports.Chart.Marker marker1 = new GrapeCity.ActiveReports.Chart.Marker();
            marker1.Backdrop = new GrapeCity.ActiveReports.Chart.Graphics.Backdrop(GrapeCity.ActiveReports.Chart.Graphics.GradientType.Horizontal, Color.LightCyan, Color.SteelBlue);
            marker1.Line = new GrapeCity.ActiveReports.Chart.Graphics.Line(Color.Black);
            marker1.Label = new GrapeCity.ActiveReports.Chart.LabelInfo(new GrapeCity.ActiveReports.Chart.Graphics.Line(Color.Transparent, 0, GrapeCity.ActiveReports.Chart.Graphics.LineStyle.None), new GrapeCity.ActiveReports.Chart.Graphics.Backdrop(GrapeCity.ActiveReports.Chart.Graphics.BackdropStyle.Transparent, Color.Black, Color.Black, GrapeCity.ActiveReports.Chart.Graphics.GradientType.Vertical, System.Drawing.Drawing2D.HatchStyle.DottedGrid, null, GrapeCity.ActiveReports.Chart.Graphics.PicturePutStyle.Stretched), new GrapeCity.ActiveReports.Chart.FontInfo(Color.Black, new Font("Arial", 8F)), "{Value}", GrapeCity.ActiveReports.Chart.Alignment.Bottom);
            marker1.Style = GrapeCity.ActiveReports.Chart.MarkerStyle.InvTriangle;
            s.Marker = marker1;

            GrapeCity.ActiveReports.Chart.Marker marker2 = new GrapeCity.ActiveReports.Chart.Marker();
            marker2.Backdrop = new GrapeCity.ActiveReports.Chart.Graphics.Backdrop(GrapeCity.ActiveReports.Chart.Graphics.GradientType.Horizontal, Color.Navy, Color.Black);
            marker2.Line = new GrapeCity.ActiveReports.Chart.Graphics.Line(Color.Black);
            marker2.Label = new GrapeCity.ActiveReports.Chart.LabelInfo(new GrapeCity.ActiveReports.Chart.Graphics.Line(Color.Transparent, 0, GrapeCity.ActiveReports.Chart.Graphics.LineStyle.None), new GrapeCity.ActiveReports.Chart.Graphics.Backdrop(GrapeCity.ActiveReports.Chart.Graphics.BackdropStyle.Transparent, Color.Black, Color.Black, GrapeCity.ActiveReports.Chart.Graphics.GradientType.Vertical, System.Drawing.Drawing2D.HatchStyle.DottedGrid, null, GrapeCity.ActiveReports.Chart.Graphics.PicturePutStyle.Stretched), new GrapeCity.ActiveReports.Chart.FontInfo(Color.Black, new Font("Arial", 8F)), "{Value}", GrapeCity.ActiveReports.Chart.Alignment.Top);
            marker2.Style = GrapeCity.ActiveReports.Chart.MarkerStyle.Triangle;
            s1.Marker = marker2;
         }

        private void NewActiveReport1_ReportStart(object sender, EventArgs e)
        {
            string str = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Data\NWIND.MDB;Persist Security Info=False";
            OleDbConnection con = new OleDbConnection(str);
            String sql = "Select top 10 * from products";
            con.Open();
            da = new System.Data.OleDb.OleDbDataAdapter(sql, con);
            ds = new DataSet();
            da.Fill(ds);
            this.chartControl1.DataSource = ds;
            con.Close();
        }
    }
}
